|  | Home | Documentation | wst__ParticipantsType Struct Reference updated Wed Apr 5 2017 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Public Attributes | List of all members
wst__ParticipantsType Struct Reference

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":ParticipantsType is a complexType. More...

`#include <wst.h>`

Collaboration diagram for wst__ParticipantsType:
[legend]

## Public Attributes
struct wst__ParticipantType * | Primary
| Element "Primary" of XSD type "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":ParticipantType. More...
$int | __sizeParticipant
| Size of array of struct wst__ParticipantType* is 0..unbounded. More...
struct wst__ParticipantType * | Participant
| Array struct wst__ParticipantType* of size 0..unbounded. More...

## Detailed Description

"http://docs.oasis-open.org/ws-sx/ws-trust/200512/":ParticipantsType is a complexType.

struct wst__ParticipantsType operations:

- soap_default_wst__ParticipantsType(soap*, wst__ParticipantsType*) reset members to default
- int soap_read_wst__ParticipantsType(soap*, wst__ParticipantsType*) deserialize from a source
- int soap_write_wst__ParticipantsType(soap*, wst__ParticipantsType*) serialize to a sink
- wst__ParticipantsType* soap_dup_wst__ParticipantsType(soap*, wst__ParticipantsType* dst, wst__ParticipantsType <em>src) returns deep copy of wst__ParticipantsType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
- soap_del_wst__ParticipantsType(wst__ParticipantsType) deep deletes wst__ParticipantsType data members, use only on dst after soap_dup_wst__ParticipantsType(NULL, wst__ParticipantsType *dst, wst__ParticipantsType *src) (use soapcpp2 -Ed)

## Member Data Documentation

$int wst__ParticipantsType::__sizeParticipant

Size of array of struct wst__ParticipantType* is 0..unbounded.

struct wst__ParticipantType* wst__ParticipantsType::Participant

Array struct wst__ParticipantType* of size 0..unbounded.

struct wst__ParticipantType* wst__ParticipantsType::Primary

Element "Primary" of XSD type "http://docs.oasis-open.org/ws-sx/ws-trust/200512/":ParticipantType.

Optional element.

The documentation for this struct was generated from the following file:

- wst.h